Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/snapraid: new aport

From: Zsolt Mészárovics <zsolt_at_meszarovics.me>
Date: Fri, 11 Mar 2016 00:27:11 +0100

http://www.snapraid.it/
SnapRAID is a backup program for disk arrays.
---
 testing/snapraid/APKBUILD | 48 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)
 create mode 100644 testing/snapraid/APKBUILD
diff --git a/testing/snapraid/APKBUILD b/testing/snapraid/APKBUILD
new file mode 100644
index 0000000..cf21243
--- /dev/null
+++ b/testing/snapraid/APKBUILD
_at_@ -0,0 +1,48 @@
+# Contributor: Zsolt M <zsolt_at_meszarovics.me>
+# Maintainer:
+pkgname=snapraid
+pkgver=10.0
+pkgrel=0
+pkgdesc="SnapRAID is a backup program for disk arrays."
+url="http://www.snapraid.it/"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://github.com/amadvance/snapraid/releases/download/v${pkgver}/snapraid-${pkgver}.tar.gz"
+
+_builddir=
+prepare() {
+ local i
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="b2da5734ca2e1a9b655837a39522867f  snapraid-10.0.tar.gz"
+sha256sums="f7dcf19480256fc2c1db9ab976aa12f786e76da6044cc397f0451524e8031ad6
 snapraid-10.0.tar.gz"
+sha512sums="cd4af07c3dc3b2399287bf0aa273c01a32fd2e8fd4ad8b98f37e36a069b8092d7a4f69199fea4d110dda0d3059af5e8111e9fa7662829620a525efd01462872c
 snapraid-10.0.tar.gz"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Mar 11 2016 - 00:27:11 GMT